@import './base.css';

body {
  font-family: 'Montserrat', sans-serif;
  background: linear-gradient(123.14deg, #f3f7ff -0.66%, #c5d4f2 83.47%);
}

a {
  text-decoration: none;
  color: var(--blue-dark-joov);
}

header {
  position: fixed;
  background-color: var(--white);
  display: flex;
  justify-content: center;
  width: 100vw;
  height: 120px;
  z-index: 999;
}

#container-steps {
  padding-top: 10rem;
  padding-bottom: 10rem;
  min-height: 100vh;
  width: 100%;
  display: flex;
  flex-flow: column;
  place-items: center;
}

#anchor {
  height: 20px;
}

#apresentation {
  margin-top: 10px;
}

.btn-back {
  width: 100%;
  display: flex;
  justify-content: end;
  font-size: 20px;
  margin-top: -23px;
  color: var(--green-joov-dark);
}

.btn-back small {
  text-decoration: underline;
}

.item-header {
  display: flex;
  justify-content: space-between;
  width: 1200px;
  margin-right: 20px;
}

.links-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-size: 25px;
  width: 450px;
}

#icon-joov {
  display: flex;
  align-items: center;
}

#icon-joov img {
  display: flex;
  justify-content: space-around;
  align-items: center;
  width: 130px;
}

.link-selected {
  background-color: var(--green-joov);
  padding: 0.7rem 4rem;
  font-weight: 700;
  border-radius: 15px;
}

.balloon-client,
.balloon {
  display: flex;
  flex-direction: column;
  margin-bottom: 2rem;
}

.balloon-client {
  width: 100%;
  margin-top: 4rem;
  padding-left: 3rem;
}

.icon-view-msg-client {
  display: flex;
  justify-content: end;
  padding-bottom: 0.5rem;
  margin: -25px 0.5rem 0.1rem 3rem;
}

.icon-view-msg {
  display: flex;
  justify-content: end;
  width: 97%;
  margin-top: -40px;
}

.icon-view-msg-client img,
.icon-view-msg img {
  width: 1rem;
}

#logo-joov-footer {
  margin-left: 30px;
}

.response-client {
  width: 1150px;
}

.response-client-blue {
  width: 1270px;
}

.response-client,
.response-client-blue {
  display: flex;
  justify-content: end;
}

::placeholder {
  color: #bdbcbc; /* Define a cor do texto do placeholder */
}

input {
  width: 400px;
  border: 1px solid rgb(37, 147, 236);
}

input:focus {
  outline: none;
  border-color: #aaa;
  box-shadow: 0 0 5px #aaa;
}

.btn-option-white:hover {
  color: var(--blue-ligth-joov);
}

.btn-options-price button {
  box-shadow: -6px 9px 22px 1px rgba(4, 44, 56, 0.192);
  font-size: 20px;
  padding: 0.7rem 0;
  margin: 0.3rem 0;
  display: flex;
  justify-content: center;
}

.btn-options-price {
  display: flex;
  flex-direction: column;
  height: 16rem;
}

.btn-options-price button:hover {
  color: var(--blue-ligth-joov);
}

.btn-option-white,
.btn-option-blue-ligth,
.btn-option-blue-dark {
  border-radius: 40px;
}

.btn-option-white {
  padding: 0.9rem;
  background-color: var(--white);
  color: var(--blue-ligth-joov);
  font-weight: bold;
  width: 250px;
  box-shadow: -6px 9px 22px 1px rgba(4, 44, 56, 0.192);
  margin: 0 0.5rem;
}

.btn-option-blue-ligth {
  background-color: var(--blue-ligth-joov);
}

.btn-option-blue-dark,
.btn-option-blue-ligth {
  color: var(--white);
  font-size: 20px;
  font-weight: 700;
  padding: 0.5rem 3rem;
  margin-right: 1rem;
}

.btn-option-blue-dark:hover,
.btn-option-blue-ligth:hover {
  opacity: 0.9;
  color: var(--white);
}

.btn-option-blue-dark {
  background-color: var(--blue-dark-joov);
  color: var(--white);
}

.steps-chat {
  display: flex;
  flex-direction: column;
  /* padding-top: 1%; */
}

.chat-balloons {
  display: flex;
  justify-content: space-around;
  width: 850px;
}

#chat-msg {
  margin-top: 2%;
  max-width: 40rem;
  flex-wrap: wrap;
}

.inputsSteps {
  border-radius: 20px;
  border: none;
  padding: 1rem 2rem;
  background-color: var(--white);
}

.balloon-inp {
  margin-top: -20px;
}

textarea,
input,
.balloon-client,
.balloon p {
  background-color: var(--balloon);
  color: var(--text-balloon);
}

textarea {
  box-shadow: -6px 9px 22px 1px rgba(4, 44, 56, 0.192);
  border-radius: 20px;
  border: none;
  padding: 1rem 2rem;
}

.checkbox-group,
input,
.balloon-client,
.balloon p {
  box-shadow: -6px 9px 22px 1px rgba(4, 44, 56, 0.192);
  font-size: 21px;
  line-height: 1.2;
  letter-spacing: 0.1pt;
}

.btn-option-white {
  font-size: 16px;
  line-height: 1.1;
}

.error-input {
  color: red;
}

#result-learn-more-accommodation {
  margin-top: 8rem;
}

.balloon-result-price {
  background-color: var(--blue-ligth-joov);
  color: var(--white);
  width: 400px;
  display: flex;
  justify-content: center;
  padding-top: 1rem;
  margin: 1rem 0;
}

.balloon p {
  padding: 2rem 3rem;
  border-radius: 15px 15px 15px 0;
  width: 600px;
}

.balloon-price {
  padding: 0.1rem 3rem;
  background-color: var(--white);
  margin-bottom: 1rem;
  display: flex;
}

.balloon-result-price,
.balloon-price,
.balloon-client {
  border-radius: 15px 15px 0 15px;
}

.balloon-price {
  color: var(--blue-ligth-joov);
  border-radius: 30px !important;
  margin-top: 2rem;
}

.balloon-price p,
.balloon-client p {
  font-weight: bold;
  margin: 17px 120px 17px -20px;
}

.avatar-and-loading {
  display: flex;
  width: 8%;
  justify-content: end;
  align-items: center;
  flex-direction: column;
  flex-wrap: wrap;
}

.show-avatar {
  animation: downAvatar 300ms forwards ease-in-out;
}

.hide-avatar {
  display: none;
}

.loader:before,
.loader:after {
  border-radius: 50%;
  width: 2.5em;
  height: 2.5em;
  animation-fill-mode: both;
  animation: bblFadInOut 1s infinite ease-in-out;
}

.loader {
  color: #398fc9;
  font-size: 3px;
  transform: translateZ(0);
  animation-delay: -0.16s;
}

.loader:before,
.loader:after {
  content: '';
  position: absolute;
  top: 0;
}

.loader:before {
  left: -3.5em;
  animation-delay: -0.32s;
}

#btn-back-mobile {
  position: fixed;
  visibility: hidden;
  background-color: var(--gray-joov);
  font-weight: 600;
  top: 95%;
  left: 70%;
}

#create-options-for-you .balloon:nth-child(5) {
  margin-top: 460px;
}

.cards {
  display: flex;
  gap: 1.5rem;
  position: absolute;
  margin-top: 0.5rem;
}

.card {
  width: 15rem;
  padding: 1rem 0;
  border-radius: 10px;
  color: white;
  background-color: var(--balloon-blue);
}

.card-tittle,
.card-price,
.card-logo,
.card-btn,
.card-btn button,
.card-diviser span,
.card-footer-link {
  font-weight: bold;
  text-align: center;
}

.card-tittle {
  padding-top: 0.5rem;
}

.card-price {
  color: var(--green-joov);
  font-size: 35px;
}

.card-logo img {
  width: 150px;
}

.card-list,
.card-btn button {
  font-size: 12px;
}

.card-btn button {
  background-color: var(--green-joov);
  color: var(--balloon-blue);
  margin-top: 1.5rem;
  width: 11rem;
  border-radius: 30px;
}

.card-btn button:hover {
  color: var(--balloon-blue);
}

.card-list {
  margin-top: 1rem;
  margin-left: 0.5rem;
}

.card-list ul li {
  margin-top: 0.2rem;
}

.card-link {
  font-size: 11px;
  margin-left: 5%;
  line-height: 1;
}

.card-link-tittle {
  font-weight: bold;
}

.card-link a {
  text-decoration: underline;
  font-weight: 500;
  color: white;
}

.card-diviser {
  background-color: rgba(255, 255, 255, 0.521);
  margin-top: 1.5rem;
  margin-left: 5%;
  width: 90%;
  height: 2px;
}

.card-footer-link {
  margin-top: 1rem;
  font-size: 10px;
}

.select2-container {
  margin: 0;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.35;
  color: #4b4b72;
  background-color: transparent;
  text-align: left;
  -webkit-tap-highlight-color: transparent;
  width: 400px !important;
  margin-left: auto;
}

.select2-container * {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.select2-container *,
.select2-container ::after,
.select2-container ::before {
  box-sizing: border-box;
}

.select2-container :active,
.select2-container :focus {
  outline: 0 !important;
}

.select2-container input {
  margin: 0;
  font-family: inherit;
  font-size: inherit;
  line-height: inherit;
  overflow: visible;
}

.select2-container [type='search'] {
  outline-offset: -2px;
  -webkit-appearance: none;
}

.select2-container--default .selection {
  position: relative;
  display: block;
}

.select2-container--open .select2-selection,
.select2-container--focus .select2-selection {
  box-shadow: 0px 0px 14px 1px #777eff;
}

.select2-container--default .select2-selection--multiple {
  height: auto;
  border-radius: 20px;
  border: none;
  padding: 1rem 2rem;
  background-color: var(--white);
  transition: box-shadow 0.25s, border-color 0.25s;
}

.select2-container--default .select2-selection--multiple:before {
  content: '';
  width: 0;
  height: 0;
  position: absolute;
  right: 5px;
  bottom: 5px;
  border-style: solid;
  border-width: 0 0 8px 8px;
  border-color: transparent transparent #d1d1d1 transparent;
  pointer-events: none;
  z-index: 1;
}

.select2-container--default
  .select2-selection--multiple
  .select2-selection__arrow {
  display: none;
}

.select2-container--default
  .select2-selection--multiple
  .select2-selection__placeholder {
  color: #868e96;
}

.select2-container--default
  .select2-selection--multiple
  .select2-selection__rendered {
  padding: 0;
  line-height: 1.5;
}

.select2-container--default.select2-container--disabled
  .select2-selection--multiple {
  background-color: transparent;
  opacity: 0.5;
}

.select2-container--default .select2-selection--single {
  height: auto;
  padding: 15px 20px;
  border-radius: 0.25rem;
  border: 2px solid #777eff;
  background-color: #ffffff;
  transition: box-shadow 0.25s, border-color 0.25s;
}

.select2-container--default .select2-selection--single:before {
  content: '';
  width: 0;
  height: 0;
  position: absolute;
  right: 5px;
  bottom: 5px;
  border-style: solid;
  border-width: 0 0 8px 8px;
  border-color: transparent transparent #d1d1d1 transparent;
  pointer-events: none;
  z-index: 1;
}

.select2-container--default
  .select2-selection--single
  .select2-selection__arrow {
  display: none;
}

.select2-container--default
  .select2-selection--single
  .select2-selection__placeholder {
  color: #868e96;
}

.select2-container--default
  .select2-selection--single
  .select2-selection__rendered {
  padding: 0;
  line-height: 1.5;
}

.select2-container--default.select2-container--disabled
  .select2-selection--single {
  background-color: transparent;
  opacity: 0.5;
}

.select2-dropdown {
  background-color: #ffffff;
  border: 0;
  border-radius: 2px;
  padding: 0.5rem 0;
  box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.175);
  z-index: 19;
  -webkit-animation-name: fadeIn;
  animation-name: fadeIn;
  -webkit-animation-duration: 300ms;
  animation-duration: 300ms;
  -webkit-animation-fill-mode: both;
  animation-fill-mode: both;
}

.select2-results__first-option {
  width: 100%;
  position: absolute;
}

.select2-dropdown .select2-results__option {
  padding: 0.65rem 1.5rem;
  transition: background-color 300ms, color 300ms;
}

.select2-dropdown .select2-results__option--highlighted[aria-selected] {
  background-color: #f6f6f6;
  color: #16181b;
}

.select2-dropdown .select2-results__option[aria-selected='true'] {
  position: relative;
  padding-right: 1.5rem;
  background-color: #f6f6f6;
  color: #16181b;
}

.select2-dropdown .select2-results__option[aria-selected='true']:before {
  content: '\e5ca';
  position: absolute;
  top: 0.45rem;
  right: 1.5rem;
  font-size: 1.3rem;
  color: #16181b;
}

.select2-dropdown .select2-search--dropdown {
  margin-top: -0.5rem;
  border-bottom: 1px solid #ced4da;
  position: relative;
  margin-bottom: 1rem;
}

.select2-dropdown .select2-search--dropdown:before {
  content: '\e8b6';
  font-size: 1.5rem;
  color: #747a80;
  position: absolute;
  left: 1.4rem;
  top: 0.65rem;
}

.select2-dropdown .select2-search--dropdown .select2-search__field {
  border: 0;
  background-color: #ffffff;
  height: 2.8rem;
  color: #495057;
  padding-left: 3.5rem;
}

.checkbox-group {
  font-size: 17px;
  background-color: var(--white);
  border-radius: 10px;
  padding: 1rem;
  display: flex;
  flex-direction: column;
}

.checkbox-group button {
  align-self: end;
  margin-top: 1rem;
}

.checkbox-group button:hover {
  background-color: var(--blue-ligth-joov);
}

.form-check {
  display: flex;
  align-items: center;
  margin-left: 1rem;
}

.form-check-input {
  margin-right: 0.5rem;
}

.form-check-label {
  margin-top: 0.3rem;
}

#list-check-plans {
  margin-left: -2rem;
  width: 98%;
  font-size: 17px;
}

@media (min-width: 800px) {
  .btn-options-white,
  .btn-options {
    display: flex;
    max-width: 600px;
  }

  .btn-option {
    width: 12rem;
  }
}

@media screen and (max-width: 1300px) {
  .response-client {
    width: 98vw;
  }

  .chat-balloons {
    width: 810px;
  }
}

@media (max-width: 1000px) {
  .cards {
    display: flex;
    flex-direction: column;
    position: absolute;
  }

  #create-options-for-you .balloon:nth-child(5) {
    margin-top: 1300px;
  }
}

@media screen and (max-width: 800px) {
  #create-bad-grade-yes .balloon-inp {
    display: flex;
    align-items: end;
    justify-content: start;
  }

  #btn-back-mobile {
    visibility: visible;
    left: 80%;
  }

  .btn-back {
    visibility: hidden;
  }

  .links-header a {
    font-size: 14px;
    padding: 1rem 2rem;
  }

  header {
    padding-left: 10%;
  }

  header {
    justify-content: start;
  }

  .avatar-and-loading {
    margin: 0 1rem;
  }

  #icon-joov img {
    width: 50px;
  }

  .item-header {
    width: 10px;
  }

  .chat-balloons {
    width: 610px;
  }

  .balloon-client {
    border-radius: 5px;
    margin: 0 13px 10px 0;
    width: 200px;
  }

  .balloon p {
    width: 30rem;
    font-size: 13px;
  }

  .form-check-label {
    font-size: 11px;
  }

  .form-check-input {
    padding: 0.5rem;
  }

  #list-check-plans {
    font-size: 11px;
    width: 95%;
  }

  .response-client p {
    font-size: 14px;
  }

  .avatar-and-loading img {
    width: 40px;
  }

  .avatar-and-loading {
    width: 30px;
  }

  .chat-balloons {
    justify-content: start;
  }

  .balloon-inp input {
    margin-top: 20px;
    padding: 0.5rem 1rem;
  }

  .send-data img {
    width: 50px;
  }

  .btn-option {
    margin-top: 0.5rem;
    min-height: 2rem;
    font-size: 12px;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .balloon-result-price,
  .btn-options-price button {
    width: 19em;
    font-size: 12px;
  }

  .balloon-result-price p {
    font-size: 11px;
  }
}

@media screen and (max-width: 600px) {
  textarea {
    width: 16rem;
  }

  #container-steps {
    padding-bottom: 6rem;
  }

  header {
    padding-left: 0;
  }

  #btn-back-mobile {
    left: 70%;
  }

  .inputsSteps {
    width: 13rem;
    height: 2.5rem;
  }

  .select2-container {
    width: 13rem !important;
    height: 2.5rem !important;
  }

  .select2-container--default .select2-selection--multiple {
    padding: 0.1rem 1rem;
  }

  .send-data {
    margin-left: -4vw;
  }

  footer p {
    text-align: center;
    padding: -1150px;
  }

  .balloon {
    margin-bottom: 1rem;
  }

  .balloon-client {
    width: 10rem;
  }

  .balloon-client p {
    margin: 17px 100px 17px -30px;
    width: 100%;
  }

  .response-client {
    width: 95vw;
  }

  .balloon p {
    padding: 1rem 1rem;
    border-radius: 2px;
    font-size: 13px;
  }

  .icon-view-msg-client img,
  .icon-view-msg img {
    width: 0.7rem;
  }

  .icon-view-msg-client,
  .icon-view-msg {
    margin-top: -30px;
  }

  .response-client p {
    padding-bottom: 0.5rem;
    font-size: 12px;
  }

  .avatar-and-loading img {
    width: 40px;
  }

  .avatar-and-loading {
    width: 30px;
  }

  .chat-balloons {
    width: 2rem;
  }

  .send-data img {
    width: 50px;
  }

  .btn-option {
    width: 10rem;
  }

  .btn-options button {
    width: 10rem;
    font-size: 11px;
  }

  .balloon-result-price,
  .btn-options-price button {
    font-size: 12px;
  }

  .balloon-result-price {
    border-radius: 3px;
    width: 60vw;
  }

  .balloon-result-price p {
    font-size: 11px;
  }

  .balloon p,
  .btn-options-price button,
  .btn-options-white {
    width: 75vw;
  }

  #logo-joov-footer {
    width: 7rem;
  }
}

@media screen and (max-width: 360px) {
  textarea {
    width: 13rem;
  }

  .links-header {
    width: 50vw;
  }

  #icon-joov {
    visibility: hidden;
  }
}

@keyframes bblFadInOut {
  0%,
  80%,
  100% {
    box-shadow: 0 2.5em 0 -1.3em;
  }

  40% {
    box-shadow: 0 2.5em 0 0;
  }
}

@keyframes downAvatar {
  from {
    transform: translateY(-20%);
  }
  to {
    transform: translateY(0%);
  }
}

@media screen and (prefers-reduced-motion: reduce) {
  .select2-dropdown .select2-results__option {
    transition: none;
  }
}
